Summary: Bandwith check tool for web interface
Summary(ko): 󿡼 bandwidth  
Name: bwbar
Version: 1.2
Release: 1kr
Copyright: GPL
Group: Applications/Networking
URL: http://www.kernel.org/pub/software/web/bwbar/
Source0: ftp://ftp.kernel.org/pub/software/web/bwbar/bwbar-%{version}.tar.gz
Source1: bwbar.init
Source2: bwbar.sysconfig
Source3: README.kr
Patch0: bwbar-i686.patch
Patch1: bwbar-kr.patch
BuildRoot: /var/tmp/%{name}-root
Requires: apache

Packager: JoungKyun. Kim <http://www.oops.org>
Vendor:   OOPS Development ORG

%description
bwbar is a small program that generates a text and a graphical readout
of the current bandwidth use.  It is currently for Linux only.

%description -l ko
bwbar   뿪  ؽƮ ׷ ϴ ׸
α׷̴.

%prep
%setup -n %{name}-%{version}
%ifarch i686
%patch0 -p1 -b .i686
%endif
%patch1 -p1 -b .kr

%build
make

%install
if [ -d $RPM_BUILD_ROOT ]; then
  rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

install -m755 bwbar $RPM_BUILD_ROOT/usr/sbin/bwbar
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/bwbar
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/bwbar
install -m644 %{SOURCE3} $RPM_BUILD_DIR/%{name}-%{version}/README.kr

%post
/sbin/chkconfig --add %{name}
/sbin/chkconfig --level 35 %{name} on

echo "Completely bwbar installation. First, configured path of text and"
echo "image file in /etc/sysconfig/bwbar"

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del %{name}
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) /etc/rc.d/init.d/bwbar
%attr(755,root,root) /usr/sbin/bwbar
%config(noreplace) /etc/sysconfig/bwbar
%doc README README.kr

%changelog
* Sun Aug  4 2002 JoungKyun Kim <http://www.oops.org> 1.2-1kr
- first packaged
- added i686 patch
- added korean patch
